Tryton - Issues

 

Issue7070

Title Income statement not properly configured
Priority bug Status resolved
Superseder Nosy List ced, reviewbot, rhertzog, roundup-bot
Type behavior Components account_fr
Assigned To rhertzog Keywords review
Reviews 37931002
View: 37931002

Created on 2018-01-19.15:58:44 by rhertzog, last changed by roundup-bot.

Messages
New changeset 42543479670d by Raphaël Hertzog in branch 'default':
Move income_statement flag to "Compte de résultat"
http://hg.tryton.org/modules/account_fr/rev/42543479670d
msg37899 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-01-23.16:39:18
OK, indeed in Belgium there is a account for the benefit of the previous year which is outside of the income statement.
So I guess we can accept the change and so the user who want to see previous income statement from previous fiscal year should need to set the last standard period as "End Period".
msg37887 (view) Author: [hidden] (rhertzog) (Tryton committer) Date: 2018-01-23.13:53:26
So when you close the account of year X, you write a benefit (or loss) in ""Résultat de l'exercice [bénéfice ou perte]" date at 31-12-X. But when your company holds its general assembly, it will decide what to do with this money. Either report it back for re-use in year X+1, or distribute it to the shareholders, or put it in a (legal) reserve. This decision is then transcribed in the the accounting at the date of the general assembly (which is in year X+1).

The money is moved out of 12X (Résultat) into either 11X (Report), 106 (Réserves), 457 (Associés - Dividendes à payer). And it is this move which is polluting the income statement.
msg37870 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-01-23.12:19:35
I do not understand how you can see amount from other year as the report shows only amount for the selected fiscal year.
msg37869 (view) Author: [hidden] (rhertzog) (Tryton committer) Date: 2018-01-23.11:56:29
Ok. I confirm that with my change I see "0" in the income_statement for a year where the accounts have been closed. But at least it's immediately obvious that the value you see is not the true income_statement.

Having a wrong (non-null) value when the year is not yet closed is much more misleading IMO. If it was not clear, the values integrated in the calculations correspond to the "benefits/losses" of the former year which are moved to other accounts. So the value shown for the income statement is really "benefits of year X - benefits of year X-1".

Is there no easy way to just ignore the move that closes the fiscal year in the calculation?
msg37868 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-01-23.11:39:19
Indeed it was done on purpose to have the income statement showing always the income no matter if the fiscal year was already closed or not.
review37931002 updated at https://codereview.tryton.org/37931002/#ps1
msg37692 (view) Author: [hidden] (rhertzog) (Tryton committer) Date: 2018-01-19.15:58:44
I use the french chart of accounts. When I display an income statement, the top level account type in the displayed tree is "Résultat de l'exercice [bénéfice ou perte]" which contains a single child "Compte de résultat" which contains two childs ("Charges" et "Produits").

The value associated to the "Compte de résultat" is the expected value ("Produits" - "Charges") but the value associated to the top-level entry is a different value... it includes movements from the real accounts who have the indicated type (the accounts are 120 and 129, "Résultat de l'exercice (bénéfice)" or "Résultat de l'exercice (perte)"). And in a normal accounting those accounts have moves dispatching the result into different accounts depending on how the result is affected (reported, distributed, etc.).

Thus the first value displayed in the income statement screen is misleading. We should fix that.

The simple way to fix that is to move the "income_statement=true" setting from "Résultat de l'exercice [bénéfice ou perte]" to "Compte de résultat". I did that on my tryton setup and did not find any downside to this. And the top-level entry in the income statement is now the "Compte de résultat" one.
History
Date User Action Args
2018-01-24 11:22:29roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg37916
2018-01-23 16:39:18cedsetstatus: chatting -> testing
messages: + msg37899
2018-01-23 13:53:26rhertzogsetmessages: + msg37887
2018-01-23 12:19:36cedsetmessages: + msg37870
2018-01-23 11:56:30rhertzogsetmessages: + msg37869
2018-01-23 11:39:19cedsetnosy: + ced
messages: + msg37868
2018-01-23 11:36:11cedsettitle: account_fr: income statement not properly configured -> Income statement not properly configured
2018-01-19 16:15:40reviewbotsetstatus: unread -> chatting
nosy: + reviewbot
messages: + msg37693
2018-01-19 16:08:37rhertzogsetreviews: 37931002
keyword: + review
2018-01-19 15:58:44rhertzogcreate

Showing 10 items. Show all history (warning: this could be VERY long)